Get the share links of a playlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/playlists/{playlist_id}/share

Get the active share links of a playlist. Revoked links are not in the response. The response does not give the passwords. The has_password field tells if a link has a password. You must be an administrator or a manager of the project. The role held on the project team applies.

Path parameters

  • playlist_id string(uuid) Required

    Unique identifier of the playlist

Responses

  • 200 application/json

    The list of active share links

    Hide response attributes Show response attributes object
    • id string(uuid)
    • token string
    • playlist_id string(uuid)
    • created_by string(uuid)
    • expiration_date string(date-time) | null
    • is_active boolean
    • can_comment boolean
    • can_download boolean
    • has_password boolean
  • 403

    You are not an administrator or a manager of the project

  • 404

    The playlist does not exist

GET /data/playlists/{playlist_id}/share
curl \
 --request GET '/api/data/playlists/a24a6ea4-ce75-4665-a070-57453082c250/share' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "string",
    "token": "string",
    "playlist_id": "string",
    "created_by": "string",
    "expiration_date": "2026-05-04T09:42:00Z",
    "is_active": true,
    "can_comment": true,
    "can_download": true,
    "has_password": true
  }
]